Summary:	A generic USB Chip/Smart Card Interface Devices driver
Name:		ccid
Version:	1.4.15
Release:	4
# RSA_SecurID_getpasswd and Kobil_mIDentity_switch are GPLv2+
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Url:		http://pcsclite.alioth.debian.org/
# ccid svn contains symlinks to files pcsc svn. To create a working
# source tarball from svn:
# mkdir -p ccid/Drivers
# cd ccid
# svn co svn://svn.debian.org/pcsclite/trunk/PCSC
# cd Drivers
# svn co svn://svn.debian.org/pcsclite/trunk/Drivers/ccid
Source0:	https://alioth.debian.org/download.php/3920/ccid-%{version}.tar.bz2
Source1:	https://alioth.debian.org/download.php/3921/ccid-%{version}.tar.bz2.asc
Patch0:		ccid-libtool_fixes.diff
Patch1:		ccid-lower-autoconf-version.patch
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb)
Requires:	pcsc-lite
# update-reader.conf is called in %%post
Requires(post,preun,postun):	pcsc-lite
Requires(post,preun,postun):	systemd

%description
This package provides a generic USB Chip/Smart Card Interface Devices
driver.

%files
%doc AUTHORS INSTALL README COPYING
%doc readers contrib/Kobil_mIDentity_switch/README_Kobil_mIDentity_switch.txt
%doc README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%config /lib/udev/rules.d/92_pcscd_ccid.rules
%{_libdir}/pcsc/drivers/ifd-ccid.bundle
%{_libdir}/pcsc/drivers/serial

%post
%systemd_post pcscd.service

%preun
%systemd_preun pcscd.service

%postun
%systemd_postun_with_restart pcscd.service

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fis
%configure2_5x \
	--enable-twinserial \
	--enable-udev

%make

%install
%makeinstall_std

# serial driver is installed separately
%makeinstall_std -C src install_ccidtwin

# conf file should be placed inside reader.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d/
mv -f %{buildroot}/%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

# udev
install -m 0644 -D src/92_pcscd_ccid.rules %{buildroot}/lib/udev/rules.d/92_pcscd_ccid.rules

rm -rf %{buildroot}%{_docdir}/*
rm -f readers/Makefile*
cp -f src/towitoko/README README.towitoko


%changelog
* Tue Feb 24 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1.4.15-4
+ Revision: ed318ae
- move serial driver config


